#
# spec file for package soapy-hackrf
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soapy_modver 0.7
%define soapy_modname soapysdr%{soapy_modver}-module-hackrf
Name:           soapy-hackrf
Version:        0.3.3
Release:        lp152.2.5
Summary:        SoapySDR HackRF module
License:        MIT
Group:          Hardware/Other
URL:            https://github.com/pothosware/SoapyHackRF/wiki
#Git-Clone:     https://github.com/pothosware/SoapyHackRF.git
Source:         https://github.com/pothosware/SoapyHackRF/archive/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(SoapySDR)
BuildRequires:  pkgconfig(libhackrf)

%description
Soapy HackRF - HackRF device support for Soapy SDR.
A Soapy module that supports HackRF devices within the Soapy API.

%package -n %{soapy_modname}
Summary:        SoapySDR HackRF module
Group:          System/Libraries

%description -n %{soapy_modname}
Soapy HackRF - HackRF device support for Soapy SDR.
A Soapy module that supports HackRF devices within the Soapy API.

%prep
%setup -q -n SoapyHackRF-%{name}-%{version}

%build
%cmake
make VERBOSE=1 %{?_smp_mflags}

%install
%cmake_install

%files -n %{soapy_modname}
%license LICENSE
%doc Changelog.txt README.md
%dir %{_libdir}/SoapySDR
%dir %{_libdir}/SoapySDR/modules%{soapy_modver}
%{_libdir}/SoapySDR/modules%{soapy_modver}/libHackRFSupport.so

%changelog
* Sat Nov 10 2018 Wojciech Kazubski <wk@ire.pw.edu.pl>
- Update soapy-module version 0.6 -> 0.7
* Sat May 12 2018 mardnh@gmx.de
- Update to version 0.3.3
  * Added check for hackrf_device_list API in header
  * Fixed getGain() for the Rx AMP due to minus typo
* Mon Nov 20 2017 mardnh@gmx.de
- Update to version 0.3.2
  * Corrected order of gain elements in the Rx direction
  * Track settings during TX/RX switch for TRX switching
  * Prevent spin loop in SoapyHackRF::acquireReadBuffer()
  * Fix edge case in SoapyHackRF::releaseReadBuffer()
  * Standard style find script for FindLIBHACKRF.cmake
* Wed Jun 21 2017 mardnh@gmx.de
- Update to version 0.3.1
  * Cache discovered HackRF results for claimed devices
* Fri May  5 2017 mardnh@gmx.de
- Update to version 0.3.0
  * Major cleanup for thread safety and buffer management
  * Added label convention to hackrf discovery routine
  * Support filtering specific devices by serial number
  * Switch to format constants in streaming implementation
* Wed Apr 19 2017 mardnh@gmx.de
- renamed packages according the debian package name from upstream
* Fri Apr 14 2017 mardnh@gmx.de
- Update to version 0.2.2 (tagged release)
- renamed package from SoapyHackRF to soapy-hackrf
- specfile cleanup
* Tue Jan  3 2017 mardnh@gmx.de
- Update to version 0.2.2.git1479766706.69600e4:
  * Fixed debian control Maintainer/Uploaders
  * Reset buffer counters before activating RX stream
  * print device args on open
  * wait for tx to be consumed before switching
  * hackrf: changelog entry for 0.2.1 release tag
  * debian: update for soapysdr module API format
  * created top level changelog
  * debian: fixed rules executable bit
  * debian: fix install rule typo
  * Clarified copyright statements in source files
  * New transceiver_mode_t enum for HackRF API changes
  * hackrf: changelog entry for 0.2.2 release tag
  * Switch to format constants in streaming
  * cleanup some initialization warnings
  * fix self test copy typo
* Tue Dec  8 2015 mardnh@gmx.de
- Update to version 0.1.0.git1448057283.4f0e41e:
  + update for SoapySDR 0.4.0
  + hackrf: version check, and changelog entries for api update
  + hackrf: tweak bias tx arg info to match others
  + hackrf:add custom gain distribution algorithm
  + hackrf:added direct buffer access API support
  + added RX/TX stream pointer support
  + fixed bug added CF64 support added burst flage support allow tx/rx switching
  + hackrf:fixed writeStream parameter type bug
  + hackrf:optimized code
  + hackrf:optimized rx/tx stream parameter
  + hackrf:optimized tx burst end mode code
  + hackrf: added recent feature additions to the changelog
  + hackrf:fixed loop which will use 100%% CPU
  + hackrf: fix while loop to contain the sleep
  + travis: added travis CI to SoapyHackRF
* Sun Oct 11 2015 mardnh@gmx.de
- initial package
